Subject: bug#5849: 23.1.95; completion-auto-help blocks icomplete-mode

From: Leo <[email-masked]>
Date: Mon, 10 May 2010 07:58:49 +0100

On 2010-04-10 19:51 +0100, Chong Yidong wrote:
> "Drew Adams" <[email-masked]> writes:
>
>> If your suggestion were to just not show the message [Next char not
>> unique] when icomplete-mode is on
>
> Yes, obviously this is what I meant.  Like this:
[...]

I wonder if it makes sense to always have the message from completion
append to the text in the minibuffer. For example, in this case, the
icomplete hint will go first and the completion message last.

This would seem to fix another problem seen in M-:. When users try to
complete while in minibuffer for example when using M-:, it switches to
show the completion message and blocks users from seeing the text they
are editing in the minibuffer.

Leo